This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 241242 - gdal from redhat repository does not support geotiff
gdal from redhat repository does not support geotiff
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On: 249296
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 11:40 EDT by Olivier Ertz
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 06:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Olivier Ertz 2007-05-24 11:40:20 EDT
Description of problem:
Using FC6 for a mapping cartoweb platform, seems gdal from RPM redhat repository
does not support geotiff. It was not configured with --with-geotiff=internal. 

In my humble opinion GeoTiff format is quite crucial for mapping application
using gdal. Therefore I suggest you to rebuild the gdal RPM with the geotiff
flag enabled.

Version-Release number of selected component (if applicable):
Source RPM: gdal-1.4.1-1.fc6.src.rpm

How reproducible:
Cartoweb for example needs GTiff enabled.

Steps to Reproduce:
1. Install mapserver
2. Install cartoweb
3. Create a cartoweb application with a geotiff layer
  
Actual results:
Cartoweb says : no GTiff format supported by gdal

Expected results:
Cartoweb showing the map with the geotiff layer
Comment 1 Balint Cristian 2007-05-24 12:03:12 EDT
Yeah. 

I wish i could ...

Currently we hit some license issues, so i disable it.
I am still looking forward for clean up that issue.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=222042


BTW,
Please read, for a beter understand of the issue:

/usr/share/doc/gdal-1.4.1/PROVENANCE.TXT-fedora

Frank W. try to clean up all license issues, i oslo tryed to help him and
rewrote some piece of code.
Comment 2 Balint Cristian 2007-05-24 12:04:14 EDT
Hmm pretty annoying.
Comment 3 Balint Cristian 2007-05-24 12:18:11 EDT
i would like keep this bug open till license will be clarifyed.
I pinged EPSG people once again for license calrification.
Comment 4 Olivier Ertz 2007-05-24 16:57:33 EDT
Thanks for comment. I thought perhaps it was a question of licensing, now I'm
sure. I will read the txt file to understand better.
Comment 5 Balint Cristian 2007-07-24 09:51:41 EDT
   Please follow bz#249296, we now will have very soon geotiff support plus 
EPSG data set for all gis packages.

    Good news for Fedora GIS !
Comment 6 Balint Cristian 2007-07-25 06:00:16 EDT
Hello Oliver !

Now it supports geotiff and geodetic datums :)
As with gdal-1.4.2 one from -devel, so feel free grab it.

Note You need to log in before you can comment on or make changes to this bug.